<?php
/**
 * FluentC WordPress Plugin File.
 *
 * This file contains the adjustments for the AISEO Plugin
 *
 * @package FluentCPlugin
 * @author  FluentC <wp@fluentc.io>
 */

namespace FluentC\Actions;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
use FluentC\Models\Hooks;
use FluentC\Services\Connect;
use FluentC\Utils\Language;
use FluentC\Services\Cache;

/**
 * AIOSEO specific modifications
 */
class Rankmath implements Hooks {

	/**
	 * FluentC connection class
	 *
	 * @var object
	 */
	protected $fluentc_connenct;

	/**
	 * FluentC connection class
	 *
	 * @var object
	 */
	protected $fluentc_language;

	/**
	 * FluentC cache class
	 *
	 * @var object
	 */
	protected $fluentc_cache;

	/**
	 * Constructor.
	 *
	 * @since 1.2
	 */
	public function __construct() {
		$this->fluentc_connenct = new Connect();
		$this->fluentc_language = new Language();
		$this->fluentc_cache = new Cache();
		
	}
	/**
	 * Hooks for Autoloading
	 *
	 * @since 1.2
	 */
	public function hooks() {

		//add_filter( 'rank_math/frontend/keywords', array( $this, 'rankmath_keywords' ), 10, 1 );
		add_filter( 'rank_math/frontend/canonical', array( $this, 'rankmath_canonical' ), 10, 1 );
		//add_filter( 'rank_math/frontend/description', array( $this, 'rankmath_description' ), 10, 1 );
		//add_filter( 'rank_math/frontend/title', array( $this, 'rankmath_title' ), 10, 1 );
	}
	/**
	 * Disables the canonical_URL
	 */
	public function rankmath_canonical( $canonical ) {
		return '';
	}	
}
